=== debian/changelog ===
glite-lbjp-common-db (3.1.2-2) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:36:09 +0200
