=== debian/control ===
Source: glite-lbjp-common-db
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, liblog4c-dev, libglite-lbjp-common-trio-dev, libglite-lbjp-common-log-dev, libmysqlclient-dev, libpq-dev, libtool
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lbu-db3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Database engine abstraction wrapper used in L&B and JP services
 Database engine abstraction wrapper used in L&B and JP
 services.

Package: libglite-lbjp-common-db-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-db
Depends: libglite-lbu-db3 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common db module
 This package contains development libraries and header files for gLite L&B/JP
 common db module.

Package: glite-lbjp-common-db-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lbu-db3 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B/JP common db module debugging symbols
 This package contains debugging symbols for gLite L&B/JP common db module.
