## glite-lbjp-common-db 3.1.3

=== debian/changelog ===
glite-lbjp-common-db (3.1.3-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:23:54 +0200
