=== debian/changelog ===
glite-lbjp-common-db (3.2.6-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sun, 03 Feb 2013 20:26:37 +0100
