## glite-lbjp-common-db 3.2.8

=== debian/changelog ===
glite-lbjp-common-db (3.2.8-1+meta) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:48 +0200
