=== debian/control ===
--- 
+++ 
@@ -27,10 +27,10 @@
  This package contains development libraries and header files for gLite L&B/JP
  common db module.
 
-Package: glite-lbjp-common-db-dbg
+Package: libglite-lbu-db3-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-lbu-db3 (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B/JP common db module debugging symbols
+Description: Debugging symbols for gLite L&B/JP common db module
  This package contains debugging symbols for gLite L&B/JP common db module.
