## glite-lbjp-common-db 3.2.9

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 CC=gcc
 
@@ -30,14 +31,14 @@
 
 DEBUG:=-g -O0 -W -Wall
 
-CFLAGS:= ${CFLAGS} \
+CFLAGS:= \
 	${DEBUG} \
 	-DVERSION=\"${version}\" \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
 	-I${top_srcdir}/interface \
 	${COVERAGE_FLAGS} \
 	-D_GNU_SOURCE \
-	-DHAVE_SYSLOG_H=1
+	-DHAVE_SYSLOG_H=1 ${CFLAGS}
 
 ifdef LBS_DB_PROFILE
 	CFLAGS:=${CFLAGS} -DLBS_DB_PROFILE
@@ -135,9 +136,9 @@
 
 install: all
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
-#	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+#	-mkdir -p ${DESTDIR}${PREFIX}${docdir}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}
-#	-cp -r C ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+#	-cp -r C ${DESTDIR}${PREFIX}${docdir}
 	${INSTALL} -m 755 "libglite_lbu_db.la" "${DESTDIR}${PREFIX}${prefix}/${libdir}/libglite_lbu_db.la"; \
 	${INSTALL} -m 644 ${top_srcdir}/interface/${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}
