=== debian/changelog ===
glite-lbjp-common-db (3.2.9-1+meta) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:53 +0100
