=== debian/control ===
Source: glite-lbjp-common-db
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, liblog4c-dev, libglite-lbjp-common-trio-dev, libglite-lbjp-common-log-dev, libmysqlclient-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-lbu-db3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Database engine abstraction wrapper used in L&B and JP services
 Database engine abstraction wrapper used in L&B and JP
 services.

Package: libglite-lbjp-common-db-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-db
Depends: libglite-lbu-db3 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common db module
 Database engine abstraction wrapper used in L&B and JP
 services.
 .
 This package contains development libraries and header files for gLite L&B/JP
 common db module.

Package: libglite-lbu-db3-dbg
Section: debug
Architecture: any
Depends: libglite-lbu-db3 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B/JP common db module
 Database engine abstraction wrapper used in L&B and JP
 services.
 .
 This package contains debugging symbols for gLite L&B/JP common db module.
