=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.db/glite-lbjp-common-db-(.*)\.tar\.gz
